org.apache.synapse.commons.builders

## Interface MessageConverter

- All Known Implementing Classes:
    SynapseMessageConverter

      public interface MessageConverter

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `convert(org.apache.axis2.context.MessageContext messageContext, java.io.OutputStream outputStream, java.lang.String fromMediaType, java.lang.String toMediaType)`
    `java.lang.StringBuilder` | `convert(org.apache.axis2.context.MessageContext messageContext, java.lang.String fromMediaType, java.lang.String toMediaType)` Message formatter action.
    `void` | `convert(org.apache.axiom.om.OMElement element, java.io.OutputStream outputStream, java.lang.String fromMediaType, java.lang.String toMediaType)` Message formatter action.
    `java.lang.StringBuilder` | `convert(org.apache.axiom.om.OMElement element, java.lang.String fromMediaType, java.lang.String toMediaType)` Message formatter action.

- - ### Method Detail

    - #### convert

          void convert(org.apache.axiom.om.OMElement element,
                       java.io.OutputStream outputStream,
                       java.lang.String fromMediaType,
                       java.lang.String toMediaType)
                throws MessageConversionException

      Message formatter action.
      Parameters:
        `element` -
        `outputStream` -
        `fromMediaType` -
        `toMediaType` -
      Throws:
        `MessageConversionException`

    - #### convert

          void convert(org.apache.axis2.context.MessageContext messageContext,
                       java.io.OutputStream outputStream,
                       java.lang.String fromMediaType,
                       java.lang.String toMediaType)
                throws MessageConversionException

      Parameters:
        `messageContext` -
        `outputStream` -
        `fromMediaType` -
        `toMediaType` -
      Throws:
        `MessageConversionException`

    - #### convert

          java.lang.StringBuilder convert(org.apache.axiom.om.OMElement element,
                                          java.lang.String fromMediaType,
                                          java.lang.String toMediaType)
                                   throws MessageConversionException

      Message formatter action.
      Parameters:
        `element` -
        `fromMediaType` -
        `toMediaType` -
      Returns:
      Throws:
        `MessageConversionException`

    - #### convert

          java.lang.StringBuilder convert(org.apache.axis2.context.MessageContext messageContext,
                                          java.lang.String fromMediaType,
                                          java.lang.String toMediaType)
                                   throws MessageConversionException

      Message formatter action.
      Parameters:
        `messageContext` -
        `fromMediaType` -
        `toMediaType` -
      Returns:
      Throws:
        `MessageConversionException`

Copyright © 2005-2020 Apache Software Foundation. All Rights Reserved.